%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define rel 9.3.0.7

Summary:	3ware Command Line Interface
Name:		3ware-cli
Version:	2.00.03.017
Release:	%mkrel 0.9307.1
Group:		System/Kernel and hardware
License:	Commercial
URL:		http://www.3ware.com
Source0:	tw_cli-linux-x86-%{rel}.tgz
Source1:	tw_cli-linux-x86_64-%{rel}.tgz
Source2:	%{rel}_Release_Notes_Web.pdf
Source3:	CLIGuide.pdf
Provides:	3ware-cli
BuildArch:	i586 x86_64
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The 3ware Command Line Interface (CLI) for Linux is provided to manage 9000
series 3ware Escalade(TM) ATA RAID controllers. Multiple systems containing
Escalade controllers may be managed using the CLI via a command line or script.
CLI is useful in environments where a graphical user interface (GUI) is not
available.

The 3ware CLI provides the basic functionality of the 3ware Disk Management
(3DM) utility through a Command Line Interface. You can view array status and
version information, and perform maintenance functions like adding or removing
drives. CLI also includes advanced features for reconfiguring RAID arrays
online.

The CLI command set is listed below and described in detail in the Command Line
Interface chapter of this guide:

 - info,  to view basic controller information
 - alarms, to display a list of AENs for all controllers
 - set, to display and modify current settings
 - maint, to perform drive and RAID array maintenance operations for a
   single controller
 - help, to display a list of commands and options

3ware release: %{rel} for 3ware 9000 series.

%prep

%setup -c -T -n tw_cli

%ifarch i586
tar -zxf %{SOURCE0}
%endif

%ifarch x86_64
tar -zxf %{SOURCE1}
%endif 

cp %{SOURCE2} .
cp %{SOURCE3} .

%install
rm -rf %{buildroot}

export DONT_STRIP=1

install -d %{buildroot}/sbin
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man8

chmod 644 *.html

install -m0755 tw_cli %{buildroot}/sbin
install -m0755 tw_sched %{buildroot}/sbin
install -m0644 tw_sched.cfg %{buildroot}%{_sysconfdir}/

install -m0644 tw_cli.8.nroff %{buildroot}%{_mandir}/man8/tw_cli.8
install -m0644 tw_sched.8.nroff %{buildroot}%{_mandir}/man8/tw_sched.8

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc *.pdf *.html
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/tw_sched.cfg
%attr(0755,root,root) /sbin/tw_cli
%attr(0755,root,root) /sbin/tw_sched
%{_mandir}/man8/*

%changelog
* Fri Apr 13 2007 Oden Eriksson <oeriksson@mandriva.com> 2.00.03.017-0.9307.1mdv2007.1
- 9.3.0.7
- make the src.rpm package handle i586 and x86_64

* Fri May 12 2006 Giuseppe Ghib <ghibo@mandriva.com> 2.00.03.017-1.9304.1mdk
- Updates to release 9.3.0.4.

* Thu Oct 27 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.00.02.009-1.9211.1mdk
- Updated to release 9.2.1.1.

* Thu Jun 06 2005 Giuseppe Ghib <ghibo@mandriva.com> 2.00.02.008-1.92.1mdk
- Updated to release 9.2.

* Thu Dec 30 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.00.00.063-1mdk
- Updated to release 9.5.1.2.

* Sun Nov 28 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.00.00.032b-2mdk
- Updated to release 7.7.1.

* Sat May 08 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.00.00.032b-1mdk
- Initial Mandrakelinux release.
